# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CSSFontFaceRule Class Reference

The `CSSFontFaceRule` interface represents a `@font-face` rule in a CSS style sheet. More...

`#include <css_rule.h>`

Inheritance diagram for DOM::CSSFontFaceRule:

[legend]
Collaboration diagram for DOM::CSSFontFaceRule:

[legend]
List of all members.

## Public Member Functions

| CSSFontFaceRule (const CSSFontFaceRule &other)
| CSSFontFaceRule (const CSSRule &other)
| CSSFontFaceRule (CSSFontFaceRuleImpl *impl)
CSSFontFaceRule & | operator= (const CSSFontFaceRule &other)
CSSFontFaceRule & | operator= (const CSSRule &other)
CSSStyleDeclaration | style () const

## Detailed Description

The `CSSFontFaceRule` interface represents a `@font-face` rule in a CSS style sheet.

The `@font-face` rule is used to hold a set of font descriptions.

Definition at line 193 of file css_rule.h.

## Member Function Documentation

CSSStyleDeclaration CSSFontFaceRule::style | ( |  | ) | const

| The declaration-block of this rule. Definition at line 195 of file css_rule.cpp.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:36 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003